#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x9455a0e1, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x24d992eb, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0xb5181c23, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0xa8c2e07a, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x9492d320, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xab501adb, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x43a4634b, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xae8f11d9, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x38774d51, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0xb7e08ad4, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x84e1fc0e, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x8068d4ff, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xd1f98f5d, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0xf1724e79, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x4b9521fe, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0xad16955f, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xde8cc58f, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0xe59ce784, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x88b5f9ba, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xe8f6be03, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xbee5f49e, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x0091d8de, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x5d997cd8, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x1fde5b70, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x7fc824d0, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x414b257c, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xe5628739, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x2c86b1c6, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x8b54a918, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x81f25246, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xbc2617d6, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x30d2605c, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x0eecbe8b, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x939f81b8, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0xa3449862, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x6788e122, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xfd14a4c8, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0xb5a3ce0d, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xeeda5bfa, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xa1e568f0, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0xf4c70369, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xf4f49655, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xcff68b3e, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x419e2df7, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x96c17f0c, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x038df280, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x036c6d2c, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x3bdbd5d3, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x0b58d8df, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x8df68cf6, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xd5cf56e0, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x3e630fee, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x0a572337, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x4ede0f1f, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xc70b426a, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xa58a8d45, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0xc739a1fa, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xcec27cd1, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0xd0e94e47, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x76e2bb47, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x62977637, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x83221d59, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x40d0b8c3, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xe531fe67, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x570d03fb, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x86df9724, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x65ca12fc, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xfef25a36, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0xc11fcee1, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x5b036406, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xbe18d047, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xfa5732ec, "");
SYMBOL_CRC(drm_bridge_connector_init, 0xcb831ab9, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xe50322b3, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x4417c1e4, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x86d27afd, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x35a2a530, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xd559d6d8, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x9f45a2af, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x01273298, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x532d932f, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xd97a7dc9, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x6c4efd0b, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x111d6657, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0xc80c3bbb, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x650d5ead, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x6ab4c84d, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x39a564e2, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x0775ffcd, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xae41f913, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xfb04aa94, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xb64f8abc, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x368ebc6e, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x8e92f5c3, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x9d62c6fd, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x2ac2bfbd, "");
SYMBOL_CRC(drm_flip_work_queue, 0x7964f9dc, "");
SYMBOL_CRC(drm_flip_work_commit, 0xc460392a, "");
SYMBOL_CRC(drm_flip_work_init, 0x93cec5c7, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x5aa2b037, "");
SYMBOL_CRC(drm_format_conv_state_init, 0x29c6141b, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xface4acd, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0xd09bd550, "");
SYMBOL_CRC(drm_format_conv_state_release, 0xd68515a0, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0xc2ed1848, "");
SYMBOL_CRC(drm_fb_swab, 0x7fd0be60, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0xcbb594c0, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0xbc6b1c0a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x60e432e1, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x19ffa2ea, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x8ac76af2, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x4fd4d8fb, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x6d5e6481, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xa31db6c7, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x546c1aa9, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x7754bedd, "");
SYMBOL_CRC(drm_fb_blit, 0x3da24632, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x8761f3cc, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x4520f1ff, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xa0da7295, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x7f4fd5d6, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x6a0098ca, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0xce9269bd, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xd2bfef26, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x6ec5582d, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xb90b8472, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x7a232faf, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x09f4952c, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0xb0de90f5, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x00f160d9, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x5dad5cf6, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x427bae38, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x256f30f3, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0xecef466a, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x283159ec, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x8b03ddcd, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0xde32de17, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x05bdb908, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x454070f0, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xe27e8ac3, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xaaa1d1a5, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x244cd35e, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0xd734525f, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0xe1cc1d87, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x0691dea4, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x50ed177e, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xfa4daeae, "");
SYMBOL_CRC(drm_crtc_init, 0xc2b4f93e, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x8d3a7cb2, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0xb4eea241, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x73594a02, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0xac463456, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x1ad24c1e, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x5625521e, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x05c5ef63, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x731e6d47, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x4494e2c8, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x5c572267, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x6a00474c, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x016d56e2, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x4c15d2c9, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0xe1e87085, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x75218a05, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0xaf06c3ef, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x81271b15, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xfe226971, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x6a27ff36, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0xf6b65eac, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x723f3030, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x37b56dd1, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x092d8ed8, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xc903bd58, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xd4ed9c46, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x6a476393, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x176b379d, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x057148dc, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x9fec30bb, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xe2e3a1ae, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x08b7c05a, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x98a4b709, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xa7f9179f, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0xb94a3193, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xa919dde5, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0xb6be0a28, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x48c73077, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0xf4fd6648, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x9a6455a1, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0xc60ea1ce, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x984d4305, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x63545ef4, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x6847c7a5, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x20dd25e1, "");
SYMBOL_CRC(drm_fb_helper_init, 0x4e3183be, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x902d77b7, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xfb0fb90a, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x31b99069, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x9dbae4e4, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x51f5f629, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x6a333d2c, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x0d38b2f1, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0xc183349f, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x707c4767, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xdfcc2150, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0xcaafa2a8, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x14febcc2, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xf34f1196, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0xbc30aba3, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x35d55d03, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x7d875d2b, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0xd4a909f5, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x60fdcabd, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0x1fd454b1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x580de41, "unregister_framebuffer" },
	{ 0x7f4f6a4b, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x1adeff36, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x54a459de, "drm_client_register" },
	{ 0xafbaaf7c, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0xd2073a38, "drm_panel_get_modes" },
	{ 0x21632767, "drm_gem_vmap_unlocked" },
	{ 0x1cf60274, "try_module_get" },
	{ 0x7b75961d, "drm_connector_list_update" },
	{ 0xad2be4a5, "drm_bridge_add" },
	{ 0x4e6322b, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0x543fc9e4, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x733b2798, "devm_kmalloc" },
	{ 0x5d8abb69, "drm_client_rotation" },
	{ 0x51f2aad5, "drm_client_buffer_vmap" },
	{ 0x2b843901, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9a6a6127, "drm_framebuffer_init" },
	{ 0xb6f2b2c, "drm_mode_validate_driver" },
	{ 0x558f6061, "drm_atomic_add_affected_planes" },
	{ 0x2b482210, "dma_buf_end_cpu_access" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3fe1f865, "drm_modeset_unlock_all" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfa3c25c6, "drm_mode_probed_add" },
	{ 0x23dd9b28, "drm_atomic_add_affected_connectors" },
	{ 0x6d5929fa, "drm_gem_vunmap_unlocked" },
	{ 0x8994da5f, "drm_bridge_hpd_enable" },
	{ 0xe8505442, "drm_crtc_vblank_count" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x48a6e48e, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x944fbb58, "drm_client_framebuffer_delete" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xa3f46541, "drm_client_framebuffer_create" },
	{ 0x4a586411, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xe5343cef, "drm_mode_object_get" },
	{ 0x6a7c14ef, "drm_edid_override_connector_update" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xe02a735a, "drm_driver_legacy_fb_format" },
	{ 0x931564fd, "drm_crtc_cleanup" },
	{ 0xc4ed7715, "drm_connector_list_iter_begin" },
	{ 0xbcb5e6f3, "fb_deferred_io_init" },
	{ 0x3874c1cc, "drm_mode_set_config_internal" },
	{ 0xa0802548, "fb_deferred_io_cleanup" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x97fb33bb, "framebuffer_alloc" },
	{ 0xe577a7c4, "drm_encoder_cleanup" },
	{ 0x209d3aae, "drm_connector_unregister" },
	{ 0xe02235d8, "drm_modeset_acquire_init" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0x6c296b96, "drm_client_modeset_probe" },
	{ 0xd3fb6221, "drm_warn_on_modeset_not_all_locked" },
	{ 0xdfc72476, "drm_plane_get_damage_clips" },
	{ 0xce3f36f2, "devres_add" },
	{ 0xff95e0c7, "dma_fence_wait_timeout" },
	{ 0xf060f5f4, "drm_add_modes_noedid" },
	{ 0x5d5e9ac4, "drm_bridge_remove" },
	{ 0x5d3fbba3, "drm_mode_object_put" },
	{ 0xd92324f9, "dev_driver_string" },
	{ 0x979d2fb0, "drm_crtc_vblank_get" },
	{ 0xa471bfcf, "drm_gem_object_lookup" },
	{ 0x41390baa, "drm_crtc_send_vblank_event" },
	{ 0x7bc04e40, "drm_connector_attach_encoder" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0xee23f51b, "fb_sys_write" },
	{ 0xa932e592, "drm_atomic_normalize_zpos" },
	{ 0x2ebcfa93, "drm_edid_connector_update" },
	{ 0xec23c51f, "drm_sysfs_hotplug_event" },
	{ 0xf524f50c, "drm_bridge_hpd_disable" },
	{ 0x496fad8f, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xeb054506, "__drmm_add_action_or_reset" },
	{ 0x1dcfe6d5, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0xc9582a46, "sys_fillrect" },
	{ 0x7046ab4d, "drm_connector_list_iter_end" },
	{ 0xe74f56bf, "drm_atomic_set_crtc_for_plane" },
	{ 0x3d60abd4, "drm_bridge_edid_read" },
	{ 0x8202c9ab, "drm_client_modeset_dpms" },
	{ 0x1b8734fe, "drm_mode_prune_invalid" },
	{ 0x5b8c429, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xed6bd5f4, "_dev_info" },
	{ 0x58556196, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x73fcdda6, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x285115ca, "module_put" },
	{ 0xc1beb28e, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x739ff004, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xcd3dc71e, "drm_client_init" },
	{ 0xe451715d, "drm_crtc_wait_one_vblank" },
	{ 0x534277f4, "drm_crtc_next_vblank_start" },
	{ 0x6f0a4044, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x9fc23796, "drm_modeset_lock" },
	{ 0x195b65a2, "drm_client_modeset_commit_locked" },
	{ 0x4c511dc3, "drm_modeset_unlock" },
	{ 0xd4c1a489, "drm_panel_disable" },
	{ 0x2d18dcec, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x439b8603, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x1dbab6df, "devm_kfree" },
	{ 0x8c25fc78, "_dev_err" },
	{ 0x460b385b, "drm_writeback_cleanup_job" },
	{ 0x22c65b7f, "drm_modeset_lock_all_ctx" },
	{ 0xc95bea07, "i2c_unregister_device" },
	{ 0x105d912c, "drm_atomic_set_fb_for_plane" },
	{ 0xcd887c5f, "__drm_universal_plane_alloc" },
	{ 0x6cfc09e1, "drm_connector_init_with_ddc" },
	{ 0xf6fcd3f3, "drm_edid_connector_add_modes" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x580453da, "__devres_alloc_node" },
	{ 0xcbb48039, "drm_edid_read" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x37b08b52, "drm_crtc_commit_wait" },
	{ 0x3e08157, "drm_dev_has_vblank" },
	{ 0x8fdaae2f, "register_framebuffer" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0xe10b1cc8, "__drm_atomic_helper_disable_plane" },
	{ 0xdc6fe4ed, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x556cf114, "drm_gem_handle_create" },
	{ 0x65599f1b, "drm_atomic_set_crtc_for_connector" },
	{ 0x6e7877d, "drm_analog_tv_mode" },
	{ 0xf0374391, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xcb96b9b1, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xc1249184, "drm_crtc_vblank_put" },
	{ 0x1315d953, "i2c_new_client_device" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xab5cba26, "__drm_dev_dbg" },
	{ 0xe9b6225f, "drm_plane_get_damage_clips_count" },
	{ 0xd284fcee, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xbad52276, "fb_deferred_io_mmap" },
	{ 0x8eff7b72, "drm_atomic_state_alloc" },
	{ 0x44ba2f2e, "drm_client_modeset_commit" },
	{ 0x544eb920, "_dev_warn" },
	{ 0x421b6231, "drm_atomic_bridge_chain_post_disable" },
	{ 0xaddfc586, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0xd6d5283a, "fb_set_suspend" },
	{ 0x6108288f, "complete_all" },
	{ 0x751dc259, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xde105b79, "drm_client_release" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x24998c3, "__drm_atomic_helper_set_config" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xec9b9e76, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xb9fe02cd, "drm_get_format_info" },
	{ 0x1db600d1, "drm_connector_cleanup" },
	{ 0xf7b8308c, "drm_universal_plane_init" },
	{ 0x4ff1bbe2, "drm_any_plane_has_format" },
	{ 0x291ee4d6, "sys_copyarea" },
	{ 0xa55fef2e, "drm_connector_list_iter_next" },
	{ 0x303ed2b7, "drm_modeset_acquire_fini" },
	{ 0xd45615b9, "drm_encoder_init" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x999e8297, "vfree" },
	{ 0xf9da90e8, "drm_object_property_get_default_value" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbfffa230, "param_ops_bool" },
	{ 0x76e45158, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x39300a5b, "drm_modeset_backoff" },
	{ 0xc58dfefc, "drm_panel_prepare" },
	{ 0x4caf2e79, "drm_bridge_chain_mode_set" },
	{ 0x38c5526d, "drm_client_buffer_vunmap" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x590beb25, "fb_sys_read" },
	{ 0x49f22011, "drm_atomic_get_plane_state" },
	{ 0x31bfe839, "drm_atomic_bridge_chain_check" },
	{ 0xfa5a6d80, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0xd66cd604, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xdefb1bb8, "drm_property_blob_put" },
	{ 0x36faff0d, "drm_mode_destroy" },
	{ 0x8947628a, "drm_bridge_attach" },
	{ 0x55f3f4c, "drm_set_preferred_mode" },
	{ 0xa7def9bc, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x30729375, "drm_atomic_state_clear" },
	{ 0x9add912e, "drm_mode_config_reset" },
	{ 0x5c8ce3e8, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xafe5c6c2, "kmalloc_trace" },
	{ 0x36f49425, "drm_modeset_drop_locks" },
	{ 0xb70ba2d0, "fwnode_handle_put" },
	{ 0x99d496d7, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x4bf450ce, "drm_atomic_bridge_chain_disable" },
	{ 0xf6705da4, "drm_mode_create_from_cmdline_mode" },
	{ 0xcf289755, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x20367d22, "param_ops_int" },
	{ 0xea60adf3, "drm_atomic_nonblocking_commit" },
	{ 0xcb3e88ed, "debugfs_create_dir" },
	{ 0xb1176e59, "try_wait_for_completion" },
	{ 0x5bb26f0f, "drm_master_internal_release" },
	{ 0x180afd29, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xcc55da73, "drm_panel_unprepare" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1e5e677, "kmalloc_caches" },
	{ 0x6f822b57, "drm_atomic_add_encoder_bridges" },
	{ 0x60e4eafa, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa36d3715, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,fb_sys_fops,sysimgblt,sysfillrect,i2c-core,syscopyarea");


MODULE_INFO(srcversion, "273091B691F8FE35EB403A7");
MODULE_INFO(rhelversion, "9.6");
