#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x5e81bfe9, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x4bab609a, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x39ebe02e, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x134065f4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd462abc4, "ether_setup" },
	{ 0xcf38ecf5, "__ethtool_get_link_ksettings" },
	{ 0x4ce9528c, "ethtool_get_ts_info_by_layer" },
	{ 0x53fc1214, "init_net" },
	{ 0x801c2ae1, "generic_hwtstamp_set_lower" },
	{ 0xa0ada0e4, "generic_hwtstamp_get_lower" },
	{ 0xbe08d753, "dev_mc_del" },
	{ 0xa14b19af, "dev_uc_del" },
	{ 0xd25b9db1, "dev_mc_add_excl" },
	{ 0x768b84df, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2be01777, "__netpoll_free" },
	{ 0x1e5e677, "kmalloc_caches" },
	{ 0xafe5c6c2, "kmalloc_trace" },
	{ 0x82bdd617, "vlan_vid_del" },
	{ 0xace04038, "vlan_vid_add" },
	{ 0xdada53b3, "dev_set_allmulti" },
	{ 0xadd680ad, "dev_set_promiscuity" },
	{ 0x1cd1e0d5, "dev_uc_unsync" },
	{ 0xa8c51d2c, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf6a8dec8, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x86e4092e, "sk_skb_reason_drop" },
	{ 0x236c8c64, "memcpy" },
	{ 0xec8a833b, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7db1fd5b, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3c984d15, "rtnl_link_unregister" },
	{ 0xf00a075f, "nla_put" },
	{ 0xd3f32d8e, "__netpoll_setup" },
	{ 0xa9408110, "dev_uc_add" },
	{ 0x924558aa, "call_netdevice_notifiers" },
	{ 0x99b9352b, "netif_inherit_tso_max" },
	{ 0xe93d8515, "netdev_update_features" },
	{ 0x48f37e00, "netif_stacked_transfer_operstate" },
	{ 0xfaa32956, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x4b460039, "unregister_netdevice_queue" },
	{ 0x8d5a3f3e, "netdev_upper_dev_unlink" },
	{ 0x3c967991, "__dev_get_by_index" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x7dc03fd2, "netdev_is_rx_handler_busy" },
	{ 0xf6f0e679, "netdev_rx_handler_register" },
	{ 0x458bea24, "register_netdevice" },
	{ 0x93258b65, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6f423b84, "linkwatch_fire_event" },
	{ 0x699ae48f, "dev_uc_sync" },
	{ 0xf0d7765c, "dev_mc_sync" },
	{ 0x4be8e518, "netif_rx" },
	{ 0x3958d1bd, "skb_clone" },
	{ 0x966dbb06, "__dev_forward_skb" },
	{ 0x75a7e11f, "__dev_queue_xmit" },
	{ 0x1c0e5c0, "dev_forward_skb" },
	{ 0x274f4263, "netpoll_send_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x76aa5d72, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x25ab8f1f, "__netif_rx" },
	{ 0xd28dfa20, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa2fc8ae7, "netdev_core_stats_alloc" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x51ccfa0b, "passthru_features_check" },
	{ 0x62b0a6cb, "eth_validate_addr" },
	{ 0x6e9aa350, "ndo_dflt_fdb_dump" },
	{ 0x69bb7030, "eth_header_parse" },
	{ 0xad609523, "eth_header_cache" },
	{ 0x24c1a00c, "eth_header_cache_update" },
	{ 0xd1417877, "ethtool_op_get_link" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "569F704A151561BFF5517F2");
MODULE_INFO(rhelversion, "9.6");
