#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x1110b720, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x927b1a58, "");
SYMBOL_CRC(team_options_register, 0xad1a9444, "");
SYMBOL_CRC(team_options_unregister, 0x67055387, "");
SYMBOL_CRC(team_option_inst_set_change, 0x3a28ce54, "");
SYMBOL_CRC(team_options_change_check, 0x5687011b, "");
SYMBOL_CRC(team_mode_register, 0x5559bf0a, "");
SYMBOL_CRC(team_mode_unregister, 0xc6064a38, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec8a833b, "dev_set_mac_address" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5ebc8e94, "netlink_unicast" },
	{ 0xf813d42f, "netif_carrier_on" },
	{ 0x27d4ecf6, "netif_carrier_off" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xadd680ad, "dev_set_promiscuity" },
	{ 0xdada53b3, "dev_set_allmulti" },
	{ 0x1cd1e0d5, "dev_uc_unsync" },
	{ 0xa8c51d2c, "dev_mc_unsync" },
	{ 0xfaa32956, "dev_set_mtu" },
	{ 0xe1f922b1, "netdev_err" },
	{ 0x2c22f5c2, "__dynamic_netdev_dbg" },
	{ 0x8ff6788b, "dev_kfree_skb_any_reason" },
	{ 0xf75fc82c, "dev_uc_sync_multiple" },
	{ 0xa8c5556e, "dev_mc_sync_multiple" },
	{ 0x82bdd617, "vlan_vid_del" },
	{ 0xace04038, "vlan_vid_add" },
	{ 0x285115ca, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xdbe8c034, "__alloc_skb" },
	{ 0x5a41f61c, "genlmsg_put" },
	{ 0x86e4092e, "sk_skb_reason_drop" },
	{ 0x458bea24, "register_netdevice" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xd462abc4, "ether_setup" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7db1fd5b, "rtnl_link_register" },
	{ 0x2fb8963b, "genl_register_family" },
	{ 0x3c984d15, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7118eeab, "genl_unregister_family" },
	{ 0x75a7e11f, "__dev_queue_xmit" },
	{ 0x274f4263, "netpoll_send_skb" },
	{ 0x3a9862f7, "netlink_broadcast_filtered" },
	{ 0x3958d1bd, "skb_clone" },
	{ 0x76aa5d72, "consume_skb" },
	{ 0xcaf4a8f2, "netdev_lower_state_changed" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x1e5e677, "kmalloc_caches" },
	{ 0xafe5c6c2, "kmalloc_trace" },
	{ 0xd3f32d8e, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0x2be01777, "__netpoll_free" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x924558aa, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6ec5fe3c, "dev_get_by_index" },
	{ 0xf00a075f, "nla_put" },
	{ 0x328f07e7, "skb_trim" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xe35fb609, "kmemdup" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x11089ac7, "_ctype" },
	{ 0xfc95b998, "__nlmsg_put" },
	{ 0xcf38ecf5, "__ethtool_get_link_ksettings" },
	{ 0x9bb49ee, "netdev_warn" },
	{ 0x1cf60274, "try_module_get" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe3114809, "netdev_info" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xa37a8199, "netdev_has_upper_dev" },
	{ 0x22d16b5c, "dev_uc_flush" },
	{ 0xdc9c519a, "dev_mc_flush" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb07db251, "dev_open" },
	{ 0x6ff69911, "vlan_uses_dev" },
	{ 0x8c48c76e, "vlan_vids_add_by_dev" },
	{ 0xf6f0e679, "netdev_rx_handler_register" },
	{ 0xa09d8575, "netdev_master_upper_dev_link" },
	{ 0x8d5a3f3e, "netdev_upper_dev_unlink" },
	{ 0xf6a8dec8, "netdev_rx_handler_unregister" },
	{ 0x197ea209, "vlan_vids_del_by_dev" },
	{ 0x9c00b2c5, "dev_close" },
	{ 0x431231fe, "dev_disable_lro" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x50d3820c, "netdev_change_features" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x51ccfa0b, "passthru_features_check" },
	{ 0xd1417877, "ethtool_op_get_link" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "705C3AD88DCFCCD841E4641");
MODULE_INFO(rhelversion, "9.6");
