#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0x98daa698, "");
SYMBOL_CRC(deregister_atm_ioctl, 0xfb6618e2, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x3a1e9a8b, "");
SYMBOL_CRC(vcc_insert_socket, 0x411744d7, "");
SYMBOL_CRC(vcc_release_async, 0x3d3917ad, "");
SYMBOL_CRC(vcc_process_recv_queue, 0xa862979a, "");
SYMBOL_CRC(atm_dev_signal_change, 0xb96e5217, "");
SYMBOL_CRC(atm_dev_release_vccs, 0x45a513f9, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0x6ba2c154, "");
SYMBOL_CRC(atm_alloc_charge, 0x19cd3d58, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0xb6c54b17, "");
SYMBOL_CRC(atm_dev_lookup, 0x0376a062, "");
SYMBOL_CRC(atm_dev_register, 0xda8e7371, "");
SYMBOL_CRC(atm_dev_deregister, 0x9ebfd578, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x666b08f, "skb_free_datagram" },
	{ 0x1cf60274, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb1284e58, "skb_put" },
	{ 0xfd449d93, "dev_set_name" },
	{ 0x76aa5d72, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xe429f04c, "skb_dequeue" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x6630e9bd, "proc_create_data" },
	{ 0x5d73e1fd, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa780bfb4, "skb_queue_purge_reason" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x7d096329, "proto_unregister" },
	{ 0x1000e51, "schedule" },
	{ 0x52f317bc, "sock_register" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7ab771a7, "put_device" },
	{ 0xdbe8c034, "__alloc_skb" },
	{ 0x3f4cd21, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x441293b2, "skb_queue_tail" },
	{ 0x285115ca, "module_put" },
	{ 0x25d99ed5, "__sock_recv_ts_and_drops" },
	{ 0x1514e899, "device_create_file" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x53fc1214, "init_net" },
	{ 0x86e4092e, "sk_skb_reason_drop" },
	{ 0xdcc3067, "noop_llseek" },
	{ 0x31292d6e, "sk_free" },
	{ 0xbc21d4a6, "sock_wake_async" },
	{ 0x6e90a67c, "sock_no_accept" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x5d5eedec, "sock_no_listen" },
	{ 0xae61d71d, "seq_putc" },
	{ 0xdc04bb3b, "class_unregister" },
	{ 0xbc0bba57, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc2843485, "skb_copy_datagram_iter" },
	{ 0x3d86776c, "sk_alloc" },
	{ 0x7d055541, "device_register" },
	{ 0x70a98478, "device_del" },
	{ 0xb3c18027, "sock_no_socketpair" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0x51271c90, "sock_no_mmap" },
	{ 0xa4ab735, "sock_no_sendpage" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xed6bdb9, "skb_recv_datagram" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9e74858d, "remove_proc_entry" },
	{ 0x312543c, "seq_printf" },
	{ 0x5cb36fd0, "_copy_from_iter" },
	{ 0x90022470, "seq_puts" },
	{ 0x1daad1aa, "sock_gettstamp" },
	{ 0x2006398e, "_proc_mkdir" },
	{ 0x3a079586, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xafe5c6c2, "kmalloc_trace" },
	{ 0x8ff6788b, "dev_kfree_skb_any_reason" },
	{ 0x7e1b3f8e, "iov_iter_revert" },
	{ 0x85b112a8, "proc_create_seq_private" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x326d20ce, "class_register" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xd6fe3722, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1e5e677, "kmalloc_caches" },
	{ 0x1db4586e, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2c33378a, "release_sock" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A4B6272A11C0EAEF3BF17F0");
MODULE_INFO(rhelversion, "9.6");
