#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x3eb64e11, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x2d4399f5, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x29068a89, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x4fbddecd, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x7f007ab2, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x00e34565, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0xf9a84b8e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0xe70424af, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xca413cc3, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xa66495aa, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x1514f979, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x6b67dda5, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x9608973c, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x0b6b3cca, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xe53a5254, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x8571e3fa, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x4c385ab3, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x131ca99e, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x3c174bf2, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x7df7eb5e, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x19c3fc0f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xcf08b74a, "perf_trace_run_bpf_submit" },
	{ 0x1e5f828d, "trace_event_buffer_reserve" },
	{ 0x11525c7d, "trace_event_buffer_commit" },
	{ 0x93d5f25, "event_triggers_call" },
	{ 0x7917017b, "trace_event_ignore_this_pid" },
	{ 0x8cac86df, "trace_raw_output_prep" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0xa60469bd, "trace_event_printf" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x573c6103, "bpf_trace_run1" },
	{ 0x7b107181, "bpf_trace_run2" },
	{ 0x9702c3bb, "udp_sock_create6" },
	{ 0x167996e4, "kernel_sock_shutdown" },
	{ 0xc0427662, "sock_release" },
	{ 0x77a2fa5d, "sock_create_kern" },
	{ 0x388fd7da, "kernel_bind" },
	{ 0x75a89a93, "kernel_connect" },
	{ 0x55cf3280, "udp_sock_create4" },
	{ 0xbb507b41, "register_pernet_device" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x624a46ef, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3761d215, "idr_find" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1e5e677, "kmalloc_caches" },
	{ 0xafe5c6c2, "kmalloc_trace" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x31292d6e, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x86e4092e, "sk_skb_reason_drop" },
	{ 0xe429f04c, "skb_dequeue" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0x5348dc43, "sockfd_lookup" },
	{ 0xbc0bba57, "lock_sock_nested" },
	{ 0x2c33378a, "release_sock" },
	{ 0x95c9f20e, "fput" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x8c812cde, "setup_udp_tunnel_sock" },
	{ 0xe798236d, "jiffies" },
	{ 0x441293b2, "skb_queue_tail" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x45812005, "__pskb_pull_tail" },
	{ 0x71bc66c0, "pskb_expand_head" },
	{ 0xd0a816f, "udp_set_csum" },
	{ 0x91138f5f, "ip_queue_xmit" },
	{ 0xd4bca3f9, "udp6_set_csum" },
	{ 0x1d265a07, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xa77b441b, "dst_release" },
	{ 0x3233f98a, "trace_event_reg" },
	{ 0xba34090, "trace_event_raw_init" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "427053ADB1A28164DF57193");
MODULE_INFO(rhelversion, "9.6");
