#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x8d44b362, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x90270dc2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x236c8c64, "memcpy" },
	{ 0xc05cbdfe, "fasync_helper" },
	{ 0x88275732, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe3114809, "netdev_info" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf00a075f, "nla_put" },
	{ 0x5c7ef05, "from_kgid_munged" },
	{ 0x27110760, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x79c725fb, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x14aa154, "dev_get_tstats64" },
	{ 0x7eec302b, "netif_tx_stop_all_queues" },
	{ 0x92997ed8, "_printk" },
	{ 0x7db1fd5b, "rtnl_link_register" },
	{ 0x98db61b6, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x86265df, "misc_deregister" },
	{ 0x3c984d15, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9f3674ef, "xdp_return_frame" },
	{ 0x86e4092e, "sk_skb_reason_drop" },
	{ 0xf813d42f, "netif_carrier_on" },
	{ 0x27d4ecf6, "netif_carrier_off" },
	{ 0x289148ad, "bpf_prog_put" },
	{ 0x3d86776c, "sk_alloc" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x97b4b3ae, "sock_init_data_uid" },
	{ 0x31292d6e, "sk_free" },
	{ 0xd845a4aa, "_copy_to_iter" },
	{ 0xc2843485, "skb_copy_datagram_iter" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x11cd2be1, "iov_iter_advance" },
	{ 0xe1f922b1, "netdev_err" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x7a049437, "kill_fasync" },
	{ 0xa780bfb4, "skb_queue_purge_reason" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x69755e2d, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xdbca5bb8, "xdp_rxq_info_unreg" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe066522d, "__netif_napi_del" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x285115ca, "module_put" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe798236d, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa2fc8ae7, "netdev_core_stats_alloc" },
	{ 0x6c0ce5b6, "xdp_do_redirect" },
	{ 0x729d0973, "bpf_warn_invalid_xdp_action" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x6bbdc8a7, "__traceiter_xdp_exception" },
	{ 0x7c64aebe, "xdp_return_frame_rx_napi" },
	{ 0x4d4ba609, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x76aa5d72, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb14483d2, "netif_receive_skb" },
	{ 0xd105fb7d, "napi_gro_receive" },
	{ 0x661ec93a, "napi_complete_done" },
	{ 0x34f3558c, "build_skb" },
	{ 0xb1284e58, "skb_put" },
	{ 0xe99a2cab, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6ca379d4, "napi_get_frags" },
	{ 0x414401ac, "iov_iter_single_seg_count" },
	{ 0x71bc66c0, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xea09d692, "vmemmap" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x312543c, "seq_printf" },
	{ 0x7856ea1, "sock_recv_errqueue" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xefccc7e6, "__skb_get_hash_symmetric_net" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x3da92f27, "sk_filter_trim_cap" },
	{ 0xd18b9f22, "skb_clone_tx_timestamp" },
	{ 0xa1fdde02, "skb_copy_ubufs" },
	{ 0x1000284f, "skb_tx_error" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xe3d0c817, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xdc5b0554, "___pskb_trim" },
	{ 0x2bbe76f4, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x1e5e677, "kmalloc_caches" },
	{ 0xafe5c6c2, "kmalloc_trace" },
	{ 0x52db99d0, "netif_set_real_num_tx_queues" },
	{ 0xc11b5f0e, "netif_set_real_num_rx_queues" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x4b460039, "unregister_netdevice_queue" },
	{ 0xbb13fc33, "netdev_state_change" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x1116b1f1, "__xdp_rxq_info_reg" },
	{ 0x925c4d3f, "xdp_rxq_info_reg_mem_model" },
	{ 0x6da7e8e5, "netif_napi_add_weight" },
	{ 0xb150cea3, "napi_enable" },
	{ 0x66410252, "xdp_rxq_info_is_reg" },
	{ 0xbc0bba57, "lock_sock_nested" },
	{ 0xee3b2b54, "sk_attach_filter" },
	{ 0x2c33378a, "release_sock" },
	{ 0x58a77ebc, "__dev_get_by_name" },
	{ 0xd133136a, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xe0f668ac, "alloc_netdev_mqs" },
	{ 0x5361e3ed, "ip_tunnel_header_ops" },
	{ 0x458bea24, "register_netdevice" },
	{ 0x99c9d87e, "netif_tx_wake_queue" },
	{ 0xd462abc4, "ether_setup" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x3e579af, "free_netdev" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xeca80317, "bpf_prog_get_type_dev" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x4d98fa3, "__skb_flow_dissect" },
	{ 0x9cd8f067, "skb_partial_csum_set" },
	{ 0x45812005, "__pskb_pull_tail" },
	{ 0xd3af979c, "memdup_user" },
	{ 0xc64b3d56, "skb_page_frag_refill" },
	{ 0xf939b45a, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x8f66942a, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x2b75723a, "__folio_put" },
	{ 0x5cb36fd0, "_copy_from_iter" },
	{ 0x7d76d66d, "iov_iter_npages" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xcd309930, "skb_copy_datagram_from_iter" },
	{ 0x14190a77, "eth_type_trans" },
	{ 0xe92b9867, "sock_alloc_send_pskb" },
	{ 0x75067e5f, "zerocopy_sg_from_iter" },
	{ 0xe1f1cb8c, "napi_schedule_prep" },
	{ 0x6c313a2c, "__napi_schedule" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x7a609095, "do_xdp_generic" },
	{ 0x7e1b3f8e, "iov_iter_revert" },
	{ 0xb926fbcb, "skb_push" },
	{ 0xd0232e2b, "eth_get_headlen" },
	{ 0xc1992e52, "napi_gro_frags" },
	{ 0xee52313e, "__page_frag_cache_drain" },
	{ 0xdb961a5a, "get_net_ns" },
	{ 0xb8d00ccf, "open_related_ns" },
	{ 0x1b58aea2, "dev_get_mac_address" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xd1c305ef, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xc459f6a9, "sk_detach_filter" },
	{ 0xcd353ef0, "make_kuid" },
	{ 0xefa3ecf4, "init_user_ns" },
	{ 0x2f84a643, "from_kuid" },
	{ 0x7979f3e5, "dev_set_mac_address_user" },
	{ 0xe93d8515, "netdev_update_features" },
	{ 0x924558aa, "call_netdevice_notifiers" },
	{ 0x69bef6a5, "__module_get" },
	{ 0x95541d3f, "from_kgid" },
	{ 0xd1417877, "ethtool_op_get_link" },
	{ 0x636bfcec, "ethtool_op_get_ts_info" },
	{ 0x51ccfa0b, "passthru_features_check" },
	{ 0x35898101, "eth_mac_addr" },
	{ 0x62b0a6cb, "eth_validate_addr" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "574726B4473340A95D13684");
MODULE_INFO(rhelversion, "9.6");
