#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x117dc505, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xb133a911, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xb9a6a340, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x675d93fc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x3bb52738, "__skb_checksum_complete" },
	{ 0x171d17b5, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x1c4d20bb, "skb_copy_bits" },
	{ 0xfc95b998, "__nlmsg_put" },
	{ 0xf217a399, "netdev_adjacent_change_commit" },
	{ 0x35898101, "eth_mac_addr" },
	{ 0xb1284e58, "skb_put" },
	{ 0xacf896f0, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4fcd72e2, "ip6_dst_hoplimit" },
	{ 0xcfba2c8d, "param_ops_ushort" },
	{ 0x76aa5d72, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x55cf3280, "udp_sock_create4" },
	{ 0xe0d1e7a3, "udp_tunnel6_xmit_skb" },
	{ 0x7db1fd5b, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x60e9f32b, "__unregister_nexthop_notifier" },
	{ 0x99b9352b, "netif_inherit_tso_max" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x62b0a6cb, "eth_validate_addr" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0x2abb4c20, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4b324c55, "rtnl_create_link" },
	{ 0x4b460039, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x319c4489, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xd462abc4, "ether_setup" },
	{ 0x4b9d077, "udp_tunnel_drop_rx_port" },
	{ 0x93258b65, "netdev_upper_dev_link" },
	{ 0x71bc66c0, "pskb_expand_head" },
	{ 0x4f4938e5, "register_pernet_subsys" },
	{ 0xa2fc8ae7, "netdev_core_stats_alloc" },
	{ 0x14190a77, "eth_type_trans" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xdbe8c034, "__alloc_skb" },
	{ 0x99e9faf3, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x260e3a0e, "eth_gro_complete" },
	{ 0x7d41af25, "rtnl_set_sk_err" },
	{ 0x667468a4, "eth_gro_receive" },
	{ 0xa7e3d38b, "rtnl_configure_link" },
	{ 0x14f3dc02, "skb_tunnel_check_pmtu" },
	{ 0xa263b45c, "udp_tunnel_dst_lookup" },
	{ 0x46ecebc1, "rtnl_unicast" },
	{ 0x9c2cf298, "peernet2id" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x272afc4, "__skb_get_hash_net" },
	{ 0x2057e546, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3c967991, "__dev_get_by_index" },
	{ 0x3c984d15, "rtnl_link_unregister" },
	{ 0x9868838, "ipv6_stub" },
	{ 0x7c1799af, "skb_pull" },
	{ 0xabf888a8, "gro_find_complete_by_type" },
	{ 0x86e4092e, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x477788ff, "dev_get_by_index_rcu" },
	{ 0xb78575d, "gro_cells_receive" },
	{ 0xb926fbcb, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x8d5a3f3e, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x3e579af, "free_netdev" },
	{ 0xccfc8de5, "ip_mc_join_group" },
	{ 0x92aee7a8, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0xbc0bba57, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd1417877, "ethtool_op_get_link" },
	{ 0x28ebc32, "nexthop_find_by_id" },
	{ 0x699f33a3, "arp_create" },
	{ 0xcf38ecf5, "__ethtool_get_link_ksettings" },
	{ 0x1a4cc978, "netdev_adjacent_change_prepare" },
	{ 0xc9b242ad, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x9653054b, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x35329bb5, "netdev_adjacent_change_abort" },
	{ 0xd5ba9003, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfbd24f93, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa360102d, "__iptunnel_pull_header" },
	{ 0x45812005, "__pskb_pull_tail" },
	{ 0x14aa154, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x4be8e518, "netif_rx" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x8c812cde, "setup_udp_tunnel_sock" },
	{ 0x9702c3bb, "udp_sock_create6" },
	{ 0x328f07e7, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2c22f5c2, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xea2e5f8c, "skb_scrub_packet" },
	{ 0x84682839, "nexthop_select_path" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7283527b, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbb302254, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbfffa230, "param_ops_bool" },
	{ 0xd052381c, "udp_tun_rx_dst" },
	{ 0x6c090b1c, "rtnl_notify" },
	{ 0x2fdfce9d, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x25ab8f1f, "__netif_rx" },
	{ 0x3958d1bd, "skb_clone" },
	{ 0xbe223bb, "metadata_dst_alloc" },
	{ 0xa77b441b, "dst_release" },
	{ 0xe5854857, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xf265e40f, "udp_tunnel_notify_del_rx_port" },
	{ 0x68eb5f48, "register_nexthop_notifier" },
	{ 0xe79e07b6, "ip_mc_leave_group" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xafe5c6c2, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0x79e19c, "gro_find_receive_by_type" },
	{ 0x1e5e677, "kmalloc_caches" },
	{ 0xe3114809, "netdev_info" },
	{ 0x7df748e8, "neigh_lookup" },
	{ 0x2c33378a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x458bea24, "register_netdevice" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "3BD637BBA0B77FC9C40C3C3");
MODULE_INFO(rhelversion, "9.6");
