#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(dasd_debug_area, "", "");
KSYMTAB_DATA(dasd_diag_discipline_pointer, "", "");
KSYMTAB_FUNC(dasd_alloc_block, "_gpl", "");
KSYMTAB_FUNC(dasd_free_block, "_gpl", "");
KSYMTAB_FUNC(dasd_kick_device, "", "");
KSYMTAB_FUNC(dasd_reload_device, "", "");
KSYMTAB_FUNC(dasd_enable_device, "", "");
KSYMTAB_FUNC(dasd_smalloc_request, "", "");
KSYMTAB_FUNC(dasd_fmalloc_request, "", "");
KSYMTAB_FUNC(dasd_sfree_request, "", "");
KSYMTAB_FUNC(dasd_ffree_request, "", "");
KSYMTAB_FUNC(dasd_term_IO, "", "");
KSYMTAB_FUNC(dasd_start_IO, "", "");
KSYMTAB_FUNC(dasd_device_set_timer, "", "");
KSYMTAB_FUNC(dasd_device_clear_timer, "", "");
KSYMTAB_FUNC(dasd_generic_handle_state_change, "_gpl", "");
KSYMTAB_FUNC(dasd_int_handler, "", "");
KSYMTAB_FUNC(dasd_generic_uc_handler, "_gpl", "");
KSYMTAB_FUNC(dasd_flush_device_queue, "_gpl", "");
KSYMTAB_FUNC(dasd_schedule_device_bh, "", "");
KSYMTAB_FUNC(dasd_device_set_stop_bits, "_gpl", "");
KSYMTAB_FUNC(dasd_device_remove_stop_bits, "_gpl", "");
KSYMTAB_FUNC(dasd_add_request_head, "", "");
KSYMTAB_FUNC(dasd_add_request_tail, "", "");
KSYMTAB_FUNC(dasd_wakeup_cb, "_gpl", "");
KSYMTAB_FUNC(dasd_sleep_on, "", "");
KSYMTAB_FUNC(dasd_sleep_on_queue, "", "");
KSYMTAB_FUNC(dasd_sleep_on_queue_interruptible, "", "");
KSYMTAB_FUNC(dasd_sleep_on_interruptible, "", "");
KSYMTAB_FUNC(dasd_sleep_on_immediatly, "", "");
KSYMTAB_FUNC(dasd_block_set_timer, "", "");
KSYMTAB_FUNC(dasd_block_clear_timer, "", "");
KSYMTAB_FUNC(dasd_schedule_block_bh, "", "");
KSYMTAB_FUNC(dasd_device_is_ro, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_probe, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_free_discipline, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_remove, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_set_online, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_set_offline, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_last_path_gone, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_path_operational, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_notify, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_path_event, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_verify_path, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_space_exhaust, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_space_avail, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_requeue_all_requests, "_gpl", "");
KSYMTAB_FUNC(dasd_schedule_requeue, "", "");
KSYMTAB_FUNC(dasd_generic_read_dev_chars, "_gpl", "");
KSYMTAB_FUNC(dasd_get_sense, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_shutdown, "_gpl", "");
KSYMTAB_FUNC(dasd_biodasdinfo, "_gpl", "");
KSYMTAB_DATA(dasd_page_cache, "_gpl", "");
KSYMTAB_DATA(dasd_nopav, "_gpl", "");
KSYMTAB_DATA(dasd_nofcx, "_gpl", "");
KSYMTAB_FUNC(dasd_devmap_set_device_copy_relation, "_gpl", "");
KSYMTAB_FUNC(dasd_put_device_wake, "_gpl", "");
KSYMTAB_FUNC(dasd_add_link_to_gendisk, "", "");
KSYMTAB_DATA(dasd_dev_groups, "_gpl", "");
KSYMTAB_FUNC(dasd_set_feature, "", "");
KSYMTAB_FUNC(dasd_path_create_kobj, "", "");
KSYMTAB_FUNC(dasd_path_create_kobjects, "", "");
KSYMTAB_FUNC(dasd_path_remove_kobjects, "", "");
KSYMTAB_FUNC(dasd_log_sense_dbf, "", "");
KSYMTAB_FUNC(dasd_default_erp_action, "", "");
KSYMTAB_FUNC(dasd_default_erp_postaction, "", "");
KSYMTAB_FUNC(dasd_alloc_erp_request, "", "");
KSYMTAB_FUNC(dasd_free_erp_request, "", "");
KSYMTAB_FUNC(dasd_log_sense, "", "");
KSYMTAB_FUNC(dasd_eer_write, "", "");

SYMBOL_CRC(dasd_debug_area, 0xccfe2868, "");
SYMBOL_CRC(dasd_diag_discipline_pointer, 0x5ff153f3, "");
SYMBOL_CRC(dasd_alloc_block, 0xef050f35, "_gpl");
SYMBOL_CRC(dasd_free_block, 0x3af884d4, "_gpl");
SYMBOL_CRC(dasd_kick_device, 0xc01687d4, "");
SYMBOL_CRC(dasd_reload_device, 0x096d0b31, "");
SYMBOL_CRC(dasd_enable_device, 0xf1f004f7, "");
SYMBOL_CRC(dasd_smalloc_request, 0xfd15ccb7, "");
SYMBOL_CRC(dasd_fmalloc_request, 0xc5264ad2, "");
SYMBOL_CRC(dasd_sfree_request, 0xd6e3f4b2, "");
SYMBOL_CRC(dasd_ffree_request, 0xfbe4532a, "");
SYMBOL_CRC(dasd_term_IO, 0x0c165163, "");
SYMBOL_CRC(dasd_start_IO, 0xb697b686, "");
SYMBOL_CRC(dasd_device_set_timer, 0x4814e53f, "");
SYMBOL_CRC(dasd_device_clear_timer, 0x4737288b, "");
SYMBOL_CRC(dasd_generic_handle_state_change, 0x989e6aad, "_gpl");
SYMBOL_CRC(dasd_int_handler, 0xae3c604a, "");
SYMBOL_CRC(dasd_generic_uc_handler, 0xa7120b4b, "_gpl");
SYMBOL_CRC(dasd_flush_device_queue, 0x0d7f8037, "_gpl");
SYMBOL_CRC(dasd_schedule_device_bh, 0x0628944a, "");
SYMBOL_CRC(dasd_device_set_stop_bits, 0xa12843d3, "_gpl");
SYMBOL_CRC(dasd_device_remove_stop_bits, 0x5b56c419, "_gpl");
SYMBOL_CRC(dasd_add_request_head, 0x1f2f683d, "");
SYMBOL_CRC(dasd_add_request_tail, 0xd5c0266f, "");
SYMBOL_CRC(dasd_wakeup_cb, 0xca56791a, "_gpl");
SYMBOL_CRC(dasd_sleep_on, 0xc934f3ba, "");
SYMBOL_CRC(dasd_sleep_on_queue, 0xb4dcb5de, "");
SYMBOL_CRC(dasd_sleep_on_queue_interruptible, 0xc134caac, "");
SYMBOL_CRC(dasd_sleep_on_interruptible, 0x3fd976f8, "");
SYMBOL_CRC(dasd_sleep_on_immediatly, 0xf1c91d71, "");
SYMBOL_CRC(dasd_block_set_timer, 0x15b0e634, "");
SYMBOL_CRC(dasd_block_clear_timer, 0xdecf4f90, "");
SYMBOL_CRC(dasd_schedule_block_bh, 0xb467ce8e, "");
SYMBOL_CRC(dasd_device_is_ro, 0x9a03216e, "_gpl");
SYMBOL_CRC(dasd_generic_probe, 0x1ada490c, "_gpl");
SYMBOL_CRC(dasd_generic_free_discipline, 0x96cb9397, "_gpl");
SYMBOL_CRC(dasd_generic_remove, 0xc1a25695, "_gpl");
SYMBOL_CRC(dasd_generic_set_online, 0x555253f0, "_gpl");
SYMBOL_CRC(dasd_generic_set_offline, 0xd33ba491, "_gpl");
SYMBOL_CRC(dasd_generic_last_path_gone, 0x6b5397f9, "_gpl");
SYMBOL_CRC(dasd_generic_path_operational, 0x572ea670, "_gpl");
SYMBOL_CRC(dasd_generic_notify, 0x4c7c5504, "_gpl");
SYMBOL_CRC(dasd_generic_path_event, 0x471c9c3d, "_gpl");
SYMBOL_CRC(dasd_generic_verify_path, 0xec337dff, "_gpl");
SYMBOL_CRC(dasd_generic_space_exhaust, 0xd3e5c805, "_gpl");
SYMBOL_CRC(dasd_generic_space_avail, 0x46b3ac1a, "_gpl");
SYMBOL_CRC(dasd_generic_requeue_all_requests, 0x27a9b693, "_gpl");
SYMBOL_CRC(dasd_schedule_requeue, 0x62ba925b, "");
SYMBOL_CRC(dasd_generic_read_dev_chars, 0x9e9a4df8, "_gpl");
SYMBOL_CRC(dasd_get_sense, 0x6877463f, "_gpl");
SYMBOL_CRC(dasd_generic_shutdown, 0xba2774e9, "_gpl");
SYMBOL_CRC(dasd_biodasdinfo, 0xbee526c6, "_gpl");
SYMBOL_CRC(dasd_page_cache, 0xb38fe028, "_gpl");
SYMBOL_CRC(dasd_nopav, 0x19227556, "_gpl");
SYMBOL_CRC(dasd_nofcx, 0xf15784f5, "_gpl");
SYMBOL_CRC(dasd_devmap_set_device_copy_relation, 0x63145ed5, "_gpl");
SYMBOL_CRC(dasd_put_device_wake, 0x02803677, "_gpl");
SYMBOL_CRC(dasd_add_link_to_gendisk, 0x89286cbb, "");
SYMBOL_CRC(dasd_dev_groups, 0x58e5cb60, "_gpl");
SYMBOL_CRC(dasd_set_feature, 0xfa125ac4, "");
SYMBOL_CRC(dasd_path_create_kobj, 0x7faf6e05, "");
SYMBOL_CRC(dasd_path_create_kobjects, 0x0873a759, "");
SYMBOL_CRC(dasd_path_remove_kobjects, 0xefe589f1, "");
SYMBOL_CRC(dasd_log_sense_dbf, 0xc339c97c, "");
SYMBOL_CRC(dasd_default_erp_action, 0x94ddd68e, "");
SYMBOL_CRC(dasd_default_erp_postaction, 0xf6ec38d0, "");
SYMBOL_CRC(dasd_alloc_erp_request, 0x42a1e5de, "");
SYMBOL_CRC(dasd_free_erp_request, 0xee0839fb, "");
SYMBOL_CRC(dasd_log_sense, 0x71e97e8c, "");
SYMBOL_CRC(dasd_eer_write, 0xa93f55dc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56ca791e, "set_disk_ro" },
	{ 0x1cf60274, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x86265df, "misc_deregister" },
	{ 0xcb8d4410, "param_ops_uint" },
	{ 0x631389d6, "proc_create" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xdda4ad02, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc57b8611, "diag210" },
	{ 0xfa73355e, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x4ac39ee7, "debug_set_level" },
	{ 0x8759d8b2, "param_array_ops" },
	{ 0xd56676f8, "debug_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0x4102f699, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xfa3a8826, "kset_unregister" },
	{ 0x563e198a, "seq_lseek" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb6b26411, "disk_uevent" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xeb6b45b, "kmem_cache_create" },
	{ 0xbd0387b3, "get_device" },
	{ 0xa7418601, "blk_mq_end_request" },
	{ 0x90ab0a9a, "__blk_mq_alloc_disk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xda35c169, "blk_mq_alloc_tag_set" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x92997ed8, "_printk" },
	{ 0xef9c8eef, "ipl_info" },
	{ 0xb681ae4, "put_disk" },
	{ 0x1000e51, "schedule" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7ab771a7, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x69757ac4, "ccw_device_tm_start" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x79e3b1b6, "ccw_device_get_schid" },
	{ 0xed6bd5f4, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x285115ca, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x4a4c4437, "disable_cmf" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x95c9f20e, "fput" },
	{ 0x8c25fc78, "_dev_err" },
	{ 0x8fad9e49, "kobject_add" },
	{ 0x2f4b7696, "blk_update_request" },
	{ 0x6748cce4, "ccw_device_get_id" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x178e0b3e, "kobj_sysfs_ops" },
	{ 0x246d032, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xdcc3067, "noop_llseek" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x320712a0, "debugfs_remove" },
	{ 0x85abc85f, "strncmp" },
	{ 0xfe5df96c, "cmf_readall" },
	{ 0xae61d71d, "seq_putc" },
	{ 0x207f9eaf, "bdev_mark_dead" },
	{ 0x26d0d692, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xa553d20f, "del_gendisk" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x550bbd18, "__debug_sprintf_event" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x7ee43c58, "bdev_file_open_by_dev" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xef6a9a6d, "proc_mkdir" },
	{ 0xf6437252, "ccw_device_set_offline" },
	{ 0x544eb920, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x98db61b6, "misc_register" },
	{ 0x6fd070d1, "ccw_device_clear" },
	{ 0xfaaaabe3, "param_ops_charp" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7439a6c5, "bdev_disk_changed" },
	{ 0xe798236d, "jiffies" },
	{ 0xc2761ac, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x89cc0665, "debug_unregister" },
	{ 0x9d7b94cd, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x92096287, "blk_mq_complete_request" },
	{ 0x6f6b4699, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9e74858d, "remove_proc_entry" },
	{ 0x312543c, "seq_printf" },
	{ 0xf9c20c7e, "ccw_device_set_online" },
	{ 0xfe0c6028, "enable_cmf" },
	{ 0xd3894590, "kobject_uevent" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xb4610af8, "blk_mq_start_request" },
	{ 0xf750d317, "ccw_device_get_path_mask" },
	{ 0x38f9c2e1, "queue_limits_commit_update" },
	{ 0x90022470, "seq_puts" },
	{ 0x7094e9c1, "single_release" },
	{ 0x2418504a, "tcw_get_tsb" },
	{ 0x955ee45, "file_bdev" },
	{ 0xbb32e49b, "css_general_characteristics" },
	{ 0xafe5c6c2, "kmalloc_trace" },
	{ 0x8690263d, "blk_abort_request" },
	{ 0x8308bd07, "debug_sprintf_view" },
	{ 0x20367d22, "param_ops_int" },
	{ 0x804336a8, "blk_mq_run_hw_queues" },
	{ 0x85b112a8, "proc_create_seq_private" },
	{ 0xd7dfaf8a, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xcb3e88ed, "debugfs_create_dir" },
	{ 0xb047c9ae, "debug_register_view" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xb8828ae9, "blk_mq_requeue_request" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x731c4e4e, "blk_queue_rq_timeout" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1e5e677, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4ca9a6b7, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc7f803f4, "kset_create_and_add" },
	{ 0x6aa7199, "kobject_put" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A6142875248CB4EDF93E634");
MODULE_INFO(rhelversion, "9.6");
