#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x5bfaa2c3, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x775c811e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0x0736dd10, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x22f3e6c5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0x3785e561, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0xf26d6cc9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xaa976bb3, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0xd359609c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xd4e55f1e, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0xafc7d1d2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0x9e6e39e2, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x458b8fe9, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0xe78718fa, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x1e76c8ac, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0xd36885bb, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0xca398c42, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0xa8b4e19f, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0xa657156f, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0x16e06357, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0xdec5b63f, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x89a116fb, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0x9b1ec839, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0x59422e0f, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0x963bdc68, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x78fb7b7c, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x560e436f, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0x38e8ffa7, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0xbb027994, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0xb8dd01fa, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0x36ea84f0, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0x56472f81, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0x322b27b3, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0x0f887ba0, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0xc18fadb5, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x7b2e764d, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x88dec922, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0x861126be, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0xdab8c73a, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0xfcca3cea, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0x119b7bdf, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0x85043383, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0x818133c4, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0xa4c5f04a, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0x42490411, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0x53dc3735, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0xd6f67b74, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0x2e8328b6, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x18b02c56, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0x78e98bad, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0xeece8443, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0x968f6e4a, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0x83d43487, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0x8657d79b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xcf08b74a, "perf_trace_run_bpf_submit" },
	{ 0x1e5f828d, "trace_event_buffer_reserve" },
	{ 0x11525c7d, "trace_event_buffer_commit" },
	{ 0x93d5f25, "event_triggers_call" },
	{ 0x7917017b, "trace_event_ignore_this_pid" },
	{ 0x8cac86df, "trace_raw_output_prep" },
	{ 0xa60469bd, "trace_event_printf" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7b107181, "bpf_trace_run2" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x7ab771a7, "put_device" },
	{ 0x64a7c914, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x189f35bf, "sysfs_remove_group" },
	{ 0x3761d215, "idr_find" },
	{ 0xbd0387b3, "get_device" },
	{ 0xc1e4c284, "device_find_child" },
	{ 0xf2583f98, "device_for_each_child" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x10772422, "dev_printk" },
	{ 0x52df158c, "scsi_target_unblock" },
	{ 0xf7370f56, "system_state" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x87edc549, "netlink_kernel_release" },
	{ 0x20dd182c, "bus_unregister" },
	{ 0xd6cec458, "transport_class_unregister" },
	{ 0xdc04bb3b, "class_unregister" },
	{ 0x326d20ce, "class_register" },
	{ 0x568afffd, "transport_class_register" },
	{ 0xcce90d31, "bus_register" },
	{ 0x53fc1214, "init_net" },
	{ 0x1f26747f, "__netlink_kernel_create" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd7d58c2e, "scsi_host_get" },
	{ 0xa29738b8, "device_initialize" },
	{ 0x98de1c15, "snprintf" },
	{ 0xec4bbe9d, "scsi_init_limits" },
	{ 0x14dca657, "bsg_setup_queue" },
	{ 0x3a9862f7, "netlink_broadcast_filtered" },
	{ 0xdbe8c034, "__alloc_skb" },
	{ 0xfc95b998, "__nlmsg_put" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8de32daf, "scsi_is_host_device" },
	{ 0x5328015c, "bsg_remove_queue" },
	{ 0x79173824, "scsi_host_put" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xd4c5fde1, "bsg_job_done" },
	{ 0x51cbedec, "scsi_host_lookup" },
	{ 0x328f07e7, "skb_trim" },
	{ 0x86e4092e, "sk_skb_reason_drop" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa82e37d3, "transport_remove_device" },
	{ 0x1fd983a2, "transport_destroy_device" },
	{ 0x70a98478, "device_del" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1e5e677, "kmalloc_caches" },
	{ 0xafe5c6c2, "kmalloc_trace" },
	{ 0xfd449d93, "dev_set_name" },
	{ 0x7d055541, "device_register" },
	{ 0x582ba77, "sysfs_create_group" },
	{ 0x688d48f0, "attribute_container_register" },
	{ 0xc2f67d9e, "device_add" },
	{ 0x95374b73, "transport_setup_device" },
	{ 0x9b617e88, "transport_add_device" },
	{ 0x3ba5974, "scsi_block_targets" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xa05f8b43, "attribute_container_unregister" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x6b69b401, "scsi_remove_target" },
	{ 0x3fc3de2, "scsi_scan_target" },
	{ 0x4b26c1ff, "netlink_capable" },
	{ 0x1cf60274, "try_module_get" },
	{ 0x285115ca, "module_put" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x5ebc8e94, "netlink_unicast" },
	{ 0x7c1799af, "skb_pull" },
	{ 0x3233f98a, "trace_event_reg" },
	{ 0xba34090, "trace_event_raw_init" },
	{ 0x20367d22, "param_ops_int" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DE0EEF9835D403381308334");
MODULE_INFO(rhelversion, "9.6");
