#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xcec228bf, "");
SYMBOL_CRC(sas_remove_host, 0x11d01709, "");
SYMBOL_CRC(sas_get_address, 0xe9f3b5a2, "");
SYMBOL_CRC(sas_tlr_supported, 0x3873db98, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x95d557d6, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xfe0635ce, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xe93086df, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x1758bcc7, "");
SYMBOL_CRC(sas_phy_add, 0xa4531073, "");
SYMBOL_CRC(sas_phy_free, 0x16f47d24, "");
SYMBOL_CRC(sas_phy_delete, 0x195845b7, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x0bf4f12a, "");
SYMBOL_CRC(sas_port_alloc, 0x8a6f4dde, "");
SYMBOL_CRC(sas_port_alloc_num, 0xf3e62da5, "");
SYMBOL_CRC(sas_port_add, 0xee89ca80, "");
SYMBOL_CRC(sas_port_free, 0xfef1f899, "");
SYMBOL_CRC(sas_port_delete, 0xa86935d9, "");
SYMBOL_CRC(scsi_is_sas_port, 0x707ec9e8, "");
SYMBOL_CRC(sas_port_get_phy, 0xb24619ed, "");
SYMBOL_CRC(sas_port_add_phy, 0xc8091d31, "");
SYMBOL_CRC(sas_port_delete_phy, 0xb62d4582, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x3d4912cb, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x573ec264, "");
SYMBOL_CRC(sas_end_device_alloc, 0xf20af7d8, "");
SYMBOL_CRC(sas_expander_alloc, 0xd8022e02, "");
SYMBOL_CRC(sas_rphy_add, 0x51c8af9e, "");
SYMBOL_CRC(sas_rphy_free, 0x8e51b3e3, "");
SYMBOL_CRC(sas_rphy_delete, 0xa6ef8959, "");
SYMBOL_CRC(sas_rphy_unlink, 0x5169339a, "");
SYMBOL_CRC(sas_rphy_remove, 0xaa512e78, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x43a1b19a, "");
SYMBOL_CRC(sas_attach_transport, 0x08f3dfbe, "");
SYMBOL_CRC(sas_release_transport, 0xc96d2313, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf2583f98, "device_for_each_child" },
	{ 0x4dd3df65, "scsi_remove_host" },
	{ 0x7ab771a7, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xc2f67d9e, "device_add" },
	{ 0x9b617e88, "transport_add_device" },
	{ 0x499b8c07, "transport_configure_device" },
	{ 0x70a98478, "device_del" },
	{ 0x1fd983a2, "transport_destroy_device" },
	{ 0xa82e37d3, "transport_remove_device" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xbd0387b3, "get_device" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xeadf2e58, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x3fc3de2, "scsi_scan_target" },
	{ 0x14dca657, "bsg_setup_queue" },
	{ 0x98de1c15, "snprintf" },
	{ 0x5328015c, "bsg_remove_queue" },
	{ 0x6b69b401, "scsi_remove_target" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85abc85f, "strncmp" },
	{ 0x568afffd, "transport_class_register" },
	{ 0xd6cec458, "transport_class_unregister" },
	{ 0x1e5e677, "kmalloc_caches" },
	{ 0xafe5c6c2, "kmalloc_trace" },
	{ 0x688d48f0, "attribute_container_register" },
	{ 0x1d47f628, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x10772422, "dev_printk" },
	{ 0x609ba967, "scsi_get_vpd_page" },
	{ 0x65b04a7a, "scsi_mode_sense" },
	{ 0xa05f8b43, "attribute_container_unregister" },
	{ 0x8de32daf, "scsi_is_host_device" },
	{ 0x544eb920, "_dev_warn" },
	{ 0xd4c5fde1, "bsg_job_done" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xe61274a, "dma_opt_mapping_size" },
	{ 0xa29738b8, "device_initialize" },
	{ 0xfd449d93, "dev_set_name" },
	{ 0x95374b73, "transport_setup_device" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C4356C175F1AD26EB2010B6");
MODULE_INFO(rhelversion, "9.6");
