#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x08e8fe62, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xd647a1d4, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x993f04ae, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x908b0784, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x4ff3a9ca, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x4824daaf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58318c50, "nf_ct_ext_add" },
	{ 0x3788da02, "nsh_pop" },
	{ 0xeb979993, "nf_conntrack_find_get" },
	{ 0x9573a412, "nf_ct_set_timeout" },
	{ 0x54fdcbf6, "dev_get_stats" },
	{ 0x9fa74dc9, "__nla_put" },
	{ 0x1cf60274, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf56fbf97, "dev_fill_metadata_dst" },
	{ 0xb77a0f14, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x1dea6f2e, "nf_ct_handle_fragments" },
	{ 0x35898101, "eth_mac_addr" },
	{ 0xb1284e58, "skb_put" },
	{ 0x68ccad09, "genl_notify" },
	{ 0x5a91f1dc, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x76aa5d72, "consume_skb" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x34fca5ed, "nf_ct_nat" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd907979c, "skb_eth_pop" },
	{ 0x8cac86df, "trace_raw_output_prep" },
	{ 0xadc55167, "skb_gso_validate_mac_len" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xfc1eeedd, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x33dfe791, "nf_ct_helper" },
	{ 0x902c9b06, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xa60469bd, "trace_event_printf" },
	{ 0xf22ec22, "rtnl_delete_link" },
	{ 0x7db1fd5b, "rtnl_link_register" },
	{ 0xc6a94839, "nf_connlabels_put" },
	{ 0x5a41f61c, "genlmsg_put" },
	{ 0xdc5b0554, "___pskb_trim" },
	{ 0xba34090, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x83fd67ae, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xadd680ad, "dev_set_promiscuity" },
	{ 0x33d56f3f, "nf_ct_destroy_timeout" },
	{ 0x3af1ce88, "nf_ct_add_helper" },
	{ 0x67f0cc3c, "nf_conntrack_helper_put" },
	{ 0x8d1c2070, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3c88b7ca, "nf_ct_skb_network_trim" },
	{ 0x93d5f25, "event_triggers_call" },
	{ 0x4b460039, "unregister_netdevice_queue" },
	{ 0xeb6b45b, "kmem_cache_create" },
	{ 0xcd57c4d0, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0xd462abc4, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3a9862f7, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x71bc66c0, "pskb_expand_head" },
	{ 0x693734e5, "skb_csum_hwoffload_help" },
	{ 0x11525c7d, "trace_event_buffer_commit" },
	{ 0x9074f514, "nf_connlabels_replace" },
	{ 0x14190a77, "eth_type_trans" },
	{ 0xe0f668ac, "alloc_netdev_mqs" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x2cead0f6, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xf6a8dec8, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7917017b, "trace_event_ignore_this_pid" },
	{ 0x2d0b9004, "skb_eth_push" },
	{ 0xa22471a2, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xdbe8c034, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x1b2caf7a, "kmem_cache_alloc" },
	{ 0x31a7e18f, "skb_mpls_pop" },
	{ 0x1000fd02, "skb_vlan_pop" },
	{ 0x15bf94c, "dst_init" },
	{ 0x285115ca, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa0d3d560, "ksize" },
	{ 0x272afc4, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x3c984d15, "rtnl_link_unregister" },
	{ 0xcf08b74a, "perf_trace_run_bpf_submit" },
	{ 0x53fc1214, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0x9868838, "ipv6_stub" },
	{ 0xfc566daa, "skb_mpls_update_lse" },
	{ 0x7c1799af, "skb_pull" },
	{ 0xefccc7e6, "__skb_get_hash_symmetric_net" },
	{ 0x4dea1053, "memchr" },
	{ 0x86e4092e, "sk_skb_reason_drop" },
	{ 0x5ebc8e94, "netlink_unicast" },
	{ 0x98d69ec2, "bpf_trace_run5" },
	{ 0x477788ff, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xb926fbcb, "skb_push" },
	{ 0xec91de67, "kmem_cache_free" },
	{ 0x8d5a3f3e, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x3233f98a, "trace_event_reg" },
	{ 0x33939440, "skb_ensure_writable" },
	{ 0x3e579af, "free_netdev" },
	{ 0x5bbfb00a, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x624a46ef, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd1417877, "ethtool_op_get_link" },
	{ 0xa10e6c64, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xe3dc1c7d, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x45812005, "__pskb_pull_tail" },
	{ 0xd7e7e97, "nf_ct_delete" },
	{ 0xf1360e9f, "nf_conncount_init" },
	{ 0x5ac573, "skb_vlan_push" },
	{ 0x14aa154, "dev_get_tstats64" },
	{ 0x4be8e518, "netif_rx" },
	{ 0xc54c5eea, "__netdev_alloc_skb" },
	{ 0xa09d8575, "netdev_master_upper_dev_link" },
	{ 0xb70c842f, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0x5ff135c1, "inet_proto_csum_replace16" },
	{ 0x328f07e7, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xea2e5f8c, "skb_scrub_packet" },
	{ 0x36bdaa4c, "nf_ct_deliver_cached_events" },
	{ 0x29083aa, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x1000284f, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x75a7e11f, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1e5f828d, "trace_event_buffer_reserve" },
	{ 0xa07e0040, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbc27f984, "inet_proto_csum_replace4" },
	{ 0x2dcfb5e1, "nf_conncount_destroy" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x292ae6f2, "skb_zerocopy" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x11b3ec86, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xec97be6f, "dev_get_by_name" },
	{ 0x3958d1bd, "skb_clone" },
	{ 0xbe223bb, "metadata_dst_alloc" },
	{ 0xa77b441b, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe3e933a5, "peernet2id_alloc" },
	{ 0xab0c307a, "nf_ct_get_tuplepr" },
	{ 0xf6f0e679, "netdev_rx_handler_register" },
	{ 0x5e09a4eb, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x7118eeab, "genl_unregister_family" },
	{ 0x431231fe, "dev_disable_lro" },
	{ 0xafe5c6c2, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x8ff6788b, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2fb8963b, "genl_register_family" },
	{ 0xa8b56d86, "nf_ct_tmpl_free" },
	{ 0x27f6d7bb, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x845023b9, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0xf4dba15c, "skb_mpls_push" },
	{ 0xbb507b41, "register_pernet_device" },
	{ 0xcd1e0260, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x1e5e677, "kmalloc_caches" },
	{ 0xae930767, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4ca9a6b7, "kmem_cache_destroy" },
	{ 0xdccfeef0, "__skb_vlan_pop" },
	{ 0xf5b53106, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x458bea24, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,psample,nf_conncount,libcrc32c");


MODULE_INFO(srcversion, "E1EACEDF0BAC4CEC9B487AF");
MODULE_INFO(rhelversion, "9.6");
